import React from 'react';
import { Strings } from '../constants/strings';
import { BuilderComponentsProps, BuilderFieldProps } from './Builder';
export interface BuilderContextProps {
    fields: BuilderFieldProps[];
    data: any;
    readOnly: boolean;
    components: BuilderComponentsProps;
    strings: Strings;
    setData: React.Dispatch<any>;
    onChange: (data: any) => void;
}
export declare const BuilderContext: React.Context<BuilderContextProps>;
export interface BuilderContextProviderProps extends BuilderContextProps {
    children: React.ReactNode | React.ReactNodeArray;
}
export declare const BuilderContextProvider: React.FC<BuilderContextProviderProps>;
