import React from 'react';
import { SelectProps } from './Select';
export declare const OptionContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const Option: import("styled-components").StyledComponent<"span", any, {}, never>;
export interface SelectMultiProps extends Pick<SelectProps, 'onChange' | 'values'> {
    onDelete: (value: string) => void;
    selectedValue: string[];
    emptyValue?: string;
    disabled?: boolean;
    className?: string;
}
export declare const SelectMulti: React.FC<SelectMultiProps>;
